Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.sns.model
Class Subscription

    java.lang.Object
      com.amazonaws.services.sns.model.Subscription

    public class Subscription

extends Object

A wrapper type for the attributes of an SNS subscription.

Constructor Summary
`Subscription()` Default constructor for a new Subscription object.

Method Summary
`String` | `getEndpoint()` The subscription's endpoint (format depends on the protocol).
`String` | `getOwner()` The subscription's owner.
`String` | `getProtocol()` The subscription's protocol.
`String` | `getSubscriptionArn()` The subscription's ARN.
`String` | `getTopicArn()` The ARN of the subscription's topic.
`void` | `setEndpoint(String endpoint)` The subscription's endpoint (format depends on the protocol).
`void` | `setOwner(String owner)` The subscription's owner.
`void` | `setProtocol(String protocol)` The subscription's protocol.
`void` | `setSubscriptionArn(String subscriptionArn)` The subscription's ARN.
`void` | `setTopicArn(String topicArn)` The ARN of the subscription's topic.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Subscription` | `withEndpoint(String endpoint)` The subscription's endpoint (format depends on the protocol).
`Subscription` | `withOwner(String owner)` The subscription's owner.
`Subscription` | `withProtocol(String protocol)` The subscription's protocol.
`Subscription` | `withSubscriptionArn(String subscriptionArn)` The subscription's ARN.
`Subscription` | `withTopicArn(String topicArn)` The ARN of the subscription's topic.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Subscription

    public Subscription()

  Default constructor for a new Subscription object. Callers should use the setter or fluent setter (with...) methods to initialize this object after creating it.

Method Detail

### getSubscriptionArn

    public String getSubscriptionArn()

  The subscription's ARN.

  Returns:
    The subscription's ARN.

### setSubscriptionArn

    public void setSubscriptionArn(String subscriptionArn)

  The subscription's ARN.

  Parameters:
    `subscriptionArn` - The subscription's ARN.

### withSubscriptionArn

    public Subscription withSubscriptionArn(String subscriptionArn)

  The subscription's ARN.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `subscriptionArn` - The subscription's ARN.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getOwner

    public String getOwner()

  The subscription's owner.

  Returns:
    The subscription's owner.

### setOwner

    public void setOwner(String owner)

  The subscription's owner.

  Parameters:
    `owner` - The subscription's owner.

### withOwner

    public Subscription withOwner(String owner)

  The subscription's owner.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `owner` - The subscription's owner.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getProtocol

    public String getProtocol()

  The subscription's protocol.

  Returns:
    The subscription's protocol.

### setProtocol

    public void setProtocol(String protocol)

  The subscription's protocol.

  Parameters:
    `protocol` - The subscription's protocol.

### withProtocol

    public Subscription withProtocol(String protocol)

  The subscription's protocol.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `protocol` - The subscription's protocol.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEndpoint

    public String getEndpoint()

  The subscription's endpoint (format depends on the protocol).

  Returns:
    The subscription's endpoint (format depends on the protocol).

### setEndpoint

    public void setEndpoint(String endpoint)

  The subscription's endpoint (format depends on the protocol).

  Parameters:
    `endpoint` - The subscription's endpoint (format depends on the protocol).

### withEndpoint

    public Subscription withEndpoint(String endpoint)

  The subscription's endpoint (format depends on the protocol).

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `endpoint` - The subscription's endpoint (format depends on the protocol).
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getTopicArn

    public String getTopicArn()

  The ARN of the subscription's topic.

  Returns:
    The ARN of the subscription's topic.

### setTopicArn

    public void setTopicArn(String topicArn)

  The ARN of the subscription's topic.

  Parameters:
    `topicArn` - The ARN of the subscription's topic.

### withTopicArn

    public Subscription withTopicArn(String topicArn)

  The ARN of the subscription's topic.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `topicArn` - The ARN of the subscription's topic.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.